Enumerations

# newgrf_widget.h File Reference

Types related to the newgrf widgets. More...

`#include "../newgrf_config.h"`
`#include "../textfile_type.h"`
`#include "../newgrf_config.h"`

Go to the source code of this file.

## Enumerations
enum | NewGRFParametersWidgets { WID_NP_SHOW_NUMPAR, WID_NP_NUMPAR_DEC, WID_NP_NUMPAR_INC, WID_NP_NUMPAR, WID_NP_NUMPAR_TEXT, WID_NP_BACKGROUND, WID_NP_SCROLLBAR, WID_NP_ACCEPT, WID_NP_RESET, WID_NP_SHOW_DESCRIPTION, WID_NP_DESCRIPTION }
| Widgets of the NewGRFParametersWindow class. More...
enum | NewGRFStateWidgets { WID_NS_PRESET_LIST, WID_NS_PRESET_SAVE, WID_NS_PRESET_DELETE, WID_NS_ADD, WID_NS_REMOVE, WID_NS_MOVE_UP, WID_NS_MOVE_DOWN, WID_NS_FILTER, WID_NS_FILE_LIST, WID_NS_SCROLLBAR, WID_NS_AVAIL_LIST, WID_NS_SCROLL2BAR, WID_NS_NEWGRF_INFO_TITLE, WID_NS_NEWGRF_INFO, WID_NS_OPEN_URL, WID_NS_NEWGRF_TEXTFILE, WID_NS_SET_PARAMETERS = WID_NS_NEWGRF_TEXTFILE + TFT_END, WID_NS_VIEW_PARAMETERS, WID_NS_TOGGLE_PALETTE, WID_NS_APPLY_CHANGES, WID_NS_RESCAN_FILES, WID_NS_RESCAN_FILES2, WID_NS_CONTENT_DOWNLOAD, WID_NS_CONTENT_DOWNLOAD2, WID_NS_SHOW_REMOVE, WID_NS_SHOW_APPLY }
| Widgets of the NewGRFWindow class. More...
enum | ScanProgressWidgets { WID_SP_PROGRESS_BAR, WID_SP_PROGRESS_TEXT }
| Widgets of the ScanProgressWindow class. More...

## Detailed Description

Types related to the newgrf widgets.

Definition in file newgrf_widget.h.

## Enumeration Type Documentation

enum NewGRFParametersWidgets

Widgets of the NewGRFParametersWindow class.

Enumerator:

  WID_NP_SHOW_NUMPAR | NWID_SELECTION to optionally display WID_NP_NUMPAR.
  WID_NP_NUMPAR_DEC | Button to decrease number of parameters.
  WID_NP_NUMPAR_INC | Button to increase number of parameters.
  WID_NP_NUMPAR | Optional number of parameters.
  WID_NP_NUMPAR_TEXT | Text description.
  WID_NP_BACKGROUND | Panel to draw the settings on.
  WID_NP_SCROLLBAR | Scrollbar to scroll through all settings.
  WID_NP_ACCEPT | Accept button.
  WID_NP_RESET | Reset button.
  WID_NP_SHOW_DESCRIPTION | NWID_SELECTION to optionally display parameter descriptions.
  WID_NP_DESCRIPTION | Multi-line description of a parameter.

Definition at line 19 of file newgrf_widget.h.

enum NewGRFStateWidgets

Widgets of the NewGRFWindow class.

Enumerator:

  WID_NS_PRESET_LIST | Active NewGRF preset.
  WID_NS_PRESET_SAVE | Save list of active NewGRFs as presets.
  WID_NS_PRESET_DELETE | Delete active preset.
  WID_NS_ADD | Add NewGRF to active list.
  WID_NS_REMOVE | Remove NewGRF from active list.
  WID_NS_MOVE_UP | Move NewGRF up in active list.
  WID_NS_MOVE_DOWN | Move NewGRF down in active list.
  WID_NS_FILTER | Filter list of available NewGRFs.
  WID_NS_FILE_LIST | List window of active NewGRFs.
  WID_NS_SCROLLBAR | Scrollbar for active NewGRF list.
  WID_NS_AVAIL_LIST | List window of available NewGRFs.
  WID_NS_SCROLL2BAR | Scrollbar for available NewGRF list.
  WID_NS_NEWGRF_INFO_TITLE | Title for Info on selected NewGRF.
  WID_NS_NEWGRF_INFO | Panel for Info on selected NewGRF.
  WID_NS_OPEN_URL | Open URL of NewGRF.
  WID_NS_NEWGRF_TEXTFILE | Open NewGRF readme, changelog (+1) or license (+2).
  WID_NS_SET_PARAMETERS | Open Parameters Window for selected NewGRF for editing parameters.
  WID_NS_VIEW_PARAMETERS | Open Parameters Window for selected NewGRF for viewing parameters.
  WID_NS_TOGGLE_PALETTE | Toggle Palette of selected, active NewGRF.
  WID_NS_APPLY_CHANGES | Apply changes to NewGRF config.
  WID_NS_RESCAN_FILES | Rescan files (available NewGRFs).
  WID_NS_RESCAN_FILES2 | Rescan files (active NewGRFs).
  WID_NS_CONTENT_DOWNLOAD | Open content download (available NewGRFs).
  WID_NS_CONTENT_DOWNLOAD2 | Open content download (active NewGRFs).
  WID_NS_SHOW_REMOVE | Select active list buttons (0 = normal, 1 = simple layout).
  WID_NS_SHOW_APPLY | Select display of the buttons below the 'details'.

Definition at line 34 of file newgrf_widget.h.

enum ScanProgressWidgets

Widgets of the ScanProgressWindow class.

Enumerator:

  WID_SP_PROGRESS_BAR | Simple progress bar.
  WID_SP_PROGRESS_TEXT | Text explaining what is happening.

Definition at line 64 of file newgrf_widget.h.